## opengcs 0.3.4%2Bdfsg2

=== debian/control ===
Source: opengcs
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Build-Depends: busybox-static,
               debhelper (>= 10),
               dh-golang (>= 1.17~),
               golang-any,
#               golang-github-docker-containerd-dev,
#               golang-github-docker-docker-dev,
               golang-github-docker-go-units-dev,
               golang-github-linuxkit-virtsock-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-ginkgo-dev,
               golang-gomega-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-vishvananda-netlink-dev,
               golang-github-vishvananda-netns-dev,
               golang-golang-x-sys-dev
Standards-Version: 4.1.1
Homepage: https://github.com/Microsoft/opengcs
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/opengcs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/opengcs.git
XS-Go-Import-Path: github.com/Microsoft/opengcs
Testsuite: autopkgtest-pkg-go

Package: opengcs
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         iproute|iproute2,
         runc (>= 1.0.0~rc4),
         udhcpd
Description: Guest Compute Service for Linux Hyper-V Container
 Open Guest Compute Service is a Linux-based open source project to
 further the development of a production quality implementation of
 Linux Hyper-V container on Microsoft Windows (LCOW).
 It's designed to run inside a custom Linux OS for supporting Linux
 container payload.
