## opengcs 0.3.4+dfsg2

=== debian/changelog ===
opengcs (0.3.4+dfsg2-0ubuntu3.20.04.5) focal-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:06:16 +0530

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.4) focal; urgency=medium

  * Build with Go 1.20 to fix FTBFS against runc (LP: #2028405).
    - d/control: b-d on golang-1.20-go instead of golang-any.
    - d/rules: add Go 1.20 to the $PATH.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 17 Jul 2023 16:42:51 -0300

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.3) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:34:11 +0200

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.2) focal; urgency=medium

  * d/p/0003-Add-support-for-runc-1.0.x.patch: Comply with the libcontainer
    API changes introduced in runc 1.0.x (LP: #1938908).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 18 Oct 2021 09:06:05 -0300

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.1) focal; urgency=medium

  * d/p/0002-Simplify-ticks.patch: simplify ticks using a constant. This
    change follows what was done by runc upstream maintainers (LP: #1912691).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 22 Mar 2021 12:02:47 -0300

opengcs (0.3.4+dfsg2-0ubuntu3) bionic; urgency=medium

  * Depend on iproute|iproute2

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 08 Mar 2018 11:49:10 +0100

opengcs (0.3.4+dfsg2-0ubuntu2) bionic; urgency=medium

  * Fix build on 32 bit architectures (LP: #1746697)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 03 Feb 2018 03:15:07 +0100

opengcs (0.3.4+dfsg2-0ubuntu1) bionic; urgency=medium

  * Initial release (Closes: #873033, LP: #1736397)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Jan 2018 21:02:35 +0100
