=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: busybox-static,
                debhelper (>= 10),
                dh-golang (>= 1.17~),
-               golang-any,
+               golang-1.20-go,
 #               golang-github-docker-containerd-dev,
 #               golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
