=== debian/rules ===
#!/usr/bin/make -f

# Build with Golang 1.20
export PATH := $(PATH):/usr/lib/go-1.20/bin/

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure
	## use originally vendored docker which is readded as an additional
	## upstream tarball until docker.io is upgraded to compatible version
	mkdir -p _build/src/vendor/github.com/docker
	ln -svrf docker _build/src/vendor/github.com/docker/
	ln -svrf containerd _build/src/vendor/github.com/docker/

# skip tests, they try to modify the system
override_dh_auto_test:

# don't ship source, copy binaries to /bin using .install file instead
override_dh_auto_install:
	dh_auto_install -- --no-source --no-binaries
	install -m 755 /usr/share/doc/busybox-static/examples/udhcp/simple.script debian/udhcpc_config.script

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/udhcpc_config.script
